Summary: PhotoCD tool collection
Name: xpcd
Version: 2.08
Release: 4mdk
Copyright: GPL
Group: Graphics
Source: http://www.cs.tu-berlin.de/~kraxel/linux/xpcd/%{name}-%{version}.tar.bz2
Buildroot: /var/tmp/%{name}-%{version}-root
BuildPreReq: gimp-devel

%description
This is a PhotoCD tool collection. The main application - xpcd - is a
comfortable, X11-based PhotoCD decoding/viewing program. Also included
is pcdtoppm, this is a command line based PhotoCD-to-PPM/JPEG
converter.

%ifarch i386 i486 i586 i686 k6 k7
%package svga
Summary: svgalib viewer for PhotoCD images
Group: Graphics
%description svga
svgalib viewer for PhotoCD images
%endif

%package gimp
Summary: GIMP 0.99 plugin, makes xpcd and gimp work hand in hand.
Group: Graphics
Requires: xpcd >= 2, gimp >= 0.99

%description gimp
This is a GIMP 0.99 plugin, it allows xpcd to load images directly
into The GIMP. If you'll open a PhotoCD file within gimp, it will
be passed to xpcd.
The installation of the gimp plugin works only if the gimp is installed
with prefix=/usr or prefix=/usr/local. If not, you have to copy xpcd-gate
from /usr/bin to the plug-ins directory yourself.

%prep
%setup

%build
export CFLAGS="$RPM_OPT_FLAGS"
%ifarch i386 i486 i586 i686 k6 k7
./configure --prefix=/usr --with-gimp --with-tiff --with-jpeg --with-svga
%else
./configure --prefix=/usr --with-gimp --with-tiff --with-jpeg
%endif
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xpcd

make install prefix=$RPM_BUILD_ROOT/usr \
	x11_libdir=$RPM_BUILD_ROOT/usr/X11R6/lib/X11 \
	x11_incdir=$RPM_BUILD_ROOT/usr/X11R6/include/X11 \
	gimpplugindir=$RPM_BUILD_ROOT/usr/lib/gimp/1.0/plug-ins \
	SUID_ROOT=

mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat >$RPM_BUILD_ROOT/usr/lib/menu/xpcd <<EOF
?package(xpcd): command="/usr/bin/xpcd" needs="X11" \
icon="/usr/X11R6/include/X11/pixmaps/xpcd-color.xpm" section="Multimedia/Graphics" \
title="xpcd" longtitle="PhotoCD tools"
EOF

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files
%defattr(0644, root, root, 0755)
%attr(0711, root, root) /usr/bin/xpcd
%attr(0711, root, root) /usr/bin/pcdtoppm
/usr/man/man1/xpcd.1*
/usr/man/man1/pcdtoppm.1*
/usr/X11R6/lib/X11/xpcd/system.xpcdrc
/usr/X11R6/lib/X11/app-defaults/Xpcd-2
/usr/X11R6/lib/X11/de/app-defaults/Xpcd-2
/usr/X11R6/lib/X11/da/app-defaults/Xpcd-2
/usr/X11R6/include/X11/pixmaps/xpcd-color.xpm
/usr/X11R6/include/X11/pixmaps/xpcd-gray.xpm
/usr/lib/menu/xpcd

%ifarch i386 i486 i586 i686 k6 k7
%files svga
%attr(4711, root, root) /usr/bin/pcdview
%attr(0644, root, root) /usr/man/man1/pcdview.1*
%endif

%files gimp
%attr(0711, root, root) /usr/lib/gimp/1.0/plug-ins/xpcd-gate

%changelog
* Mon Apr 03 2000 John Buswell <johnb@mandrakesoft.com> 2.08-4mdk
- postun script fix

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 2.08-3mdk
- Fixed groups

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 2.08-2mdk
- Added menu
- Man pages were not bzipped!!

* Thu Feb 24 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- updated to version 2.08
